package com.atlassian.confluence.extra.workflow;

import com.atlassian.user.User;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 4/05/2005
 * Time: 10:08:13
 * To change this template use File | Settings | File Templates.
 */
public interface Trigger
{
    void clientDidOperation(Operation op, WorkflowClient client, User user);
    List getActions();
    String getFullDescription();
    boolean isConfigError();
    void setOwner(WorkflowType owner);
    WorkflowType getOwner();
    int getId();
    void setId(int id);
    void addAction(Action a);
    void deleteAction(int index);
}
